using UnityEngine;
using System.Collections;

public class AggressiveEnemy : BaseEnemy
{
		protected override void Update ()
		{
				if (!_moving)
						return;

				ChasePlayer (GetPlayer ());
				//RunAway (GetPlayer ());
				//RoamRandomly (GetPlayer ());
		}
		
		protected override void BeginChasing ()
		{
				Debug.Log ("BeginChasing");
				if (!gameObject.audio.isPlaying)
						gameObject.audio.Play ();
		}
}
